/*******************************************************************************
 * This file is part of the Zivid API
 *
 * Copyright 2015-2025 (C) Zivid AS
 * All rights reserved.
 *
 * Zivid Software License, v1.0
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution.
 *
 * 3. Neither the name of Zivid AS nor the names of its contributors may be used
 * to endorse or promote products derived from this software without specific
 * prior written permission.
 *
 * 4. This software, with or without modification, must not be used with any
 * other 3D camera than from Zivid AS.
 *
 * 5. Any software provided in binary form under this license must not be
 * reverse engineered, decompiled, modified and/or disassembled.
 *
 * THIS SOFTWARE IS PROVIDED BY ZIVID AS "AS IS" AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, NONINFRINGEMENT, AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL ZIVID AS OR CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * Contact: Zivid Customer Success Team <customersuccess@zivid.com>
 * Info:    http://www.zivid.com
 ******************************************************************************/

#pragma once

#include "Zivid/Application.h"
#include "Zivid/Array2D.h"
#include "Zivid/Calibration/DetectionResult.h"
#include "Zivid/Calibration/DetectionResultFiducialMarkers.h"
#include "Zivid/Calibration/Detector.h"
#include "Zivid/Calibration/HandEye.h"
#include "Zivid/Calibration/MarkerDictionary.h"
#include "Zivid/Calibration/MarkerShape.h"
#include "Zivid/Calibration/MultiCamera.h"
#include "Zivid/Calibration/Pose.h"
#include "Zivid/Camera.h"
#include "Zivid/CameraInfo.h"
#include "Zivid/CameraIntrinsics.h"
#include "Zivid/CameraState.h"
#include "Zivid/CaptureAssistant.h"
#include "Zivid/CaptureAssistant/SuggestSettingsParameters.h"
#include "Zivid/Color.h"
#include "Zivid/ComputeDevice.h"
#include "Zivid/DataModel/NodeType.h"
#include "Zivid/DataModel/NodeTypeToString.h"
#include "Zivid/DataModel/Traits.h"
#include "Zivid/Exception.h"
#include "Zivid/Firmware.h"
#include "Zivid/Frame.h"
#include "Zivid/Frame2D.h"
#include "Zivid/FrameInfo.h"
#include "Zivid/Image.h"
#include "Zivid/Matrix.h"
#include "Zivid/NetworkConfiguration.h"
#include "Zivid/Normal.h"
#include "Zivid/Point.h"
#include "Zivid/PointCloud.h"
#include "Zivid/PointCloudCompositeTypes.h"
#include "Zivid/Presets.h"
#include "Zivid/Projection/ProjectedImage.h"
#include "Zivid/Projection/Projection.h"
#include "Zivid/Range.h"
#include "Zivid/Resolution.h"
#include "Zivid/SNR.h"
#include "Zivid/SceneConditions.h"
#include "Zivid/Settings.h"
#include "Zivid/Settings2D.h"
#include "Zivid/Vector.h"
#include "Zivid/Version.h"
#include "Zivid/VersionConstants.h"
#include "Zivid/Visualization/Visualizer.h"
